From 33e53942d3f21c36094a09f96564129ce9bc10db Mon Sep 17 00:00:00 2001
From: Dave Smith <dizzyd@dizzyd.com>
Date: Thu, 3 Dec 2009 16:05:25 -0700
Subject: Deal more gracefully with errors

---
 install | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

(limited to 'install')

diff --git a/install b/install
index f88acfa..e11b547 100755
--- a/install
+++ b/install
@@ -1,8 +1,5 @@
 #!/bin/bash
 
-# Fail on first error
-set -e
-
 ## Check path for exiting rebar instance -- if it's around, use it
 ## for compilation (NOT installation!)
 `which -s rebar`
@@ -13,6 +10,10 @@ else
     erlc -I include -o ebin src/*.erl
 fi
 
+if [ $? != 0 ]; then
+	exit $?
+fi
+
 ## Use application installer to perform actual installation
 ## into erlang distro
 export ERL_LIBS=`(cd .. && pwd)`
-- 
cgit v1.1